## org.apache.html.dom
Class HTMLTableSectionElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLTableSectionElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableSectionElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.TypeInfo

public class HTMLTableSectionElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableSectionElement

Version:
  $Revision: 1.10 $ $Date: 2005/04/18 01:20:21 $
Author:
  Assaf Arkin
See Also:
  `HTMLTableSectionElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLTableSectionElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`org.w3c.dom.Node` `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getRows() gets cleared.
`void` `deleteRow(int index)`
`java.lang.String` `getAlign()`
`java.lang.String` `getCh()`
`java.lang.String` `getChOff()`
`org.w3c.dom.html.HTMLCollection` `getRows()`
`java.lang.String` `getVAlign()`
`org.w3c.dom.html.HTMLElement` `insertRow(int index)`
`void` `setAlign(java.lang.String align)`
`void` `setCh(java.lang.String ch)`
`void` `setChOff(java.lang.String chOff)`
`void` `setVAlign(java.lang.String vAlign)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLTableSectionElementImpl

    public HTMLTableSectionElementImpl(HTMLDocumentImpl owner,
                                       java.lang.String name)

  Constructor requires owner document.

Parameters:
  `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### getCh

    public java.lang.String getCh()

  Specified by:
    `getCh` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    `setCh` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### getChOff

    public java.lang.String getChOff()

  Specified by:
    `getChOff` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    `setChOff` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### getVAlign

    public java.lang.String getVAlign()

  Specified by:
    `getVAlign` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    `setVAlign` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### getRows

    public org.w3c.dom.html.HTMLCollection getRows()

  Specified by:
    `getRows` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### insertRow

    public org.w3c.dom.html.HTMLElement insertRow(int index)

  Specified by:
    `insertRow` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### deleteRow

    public void deleteRow(int index)

  Specified by:
    `deleteRow` in interface `org.w3c.dom.html.HTMLTableSectionElement`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Explicit implementation of cloneNode() to ensure that cache used for getRows() gets cleared.

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  See Also:
    `Node.cloneNode(boolean)`

Copyright © 1999-2005 Apache XML Project. All Rights Reserved.